package com.jeequan.jeepay.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jeequan.jeepay.db.entity.CacheTk;
import com.jeequan.jeepay.model.CacheInfo;
import com.jeequan.jeepay.service.mapper.CacheTkMapper;
import org.springframework.stereotype.Service;

/**
 * <p>
 * tk缓存表 服务实现类
 * </p>
 *
 * @author [mybatis plus generator]
 * @since 2024-02-02
 */
@Service
public class CacheTkService extends ServiceImpl<CacheTkMapper, CacheTk>  {

    /**
     *
     * @param type
     * @param sourceId
     * @param amt
     * @return
     */
    public String initSave(Byte type,String sourceId,Long amt){
        CacheTk cacheTk = new CacheTk(type,sourceId,amt);
        save(cacheTk);
        return cacheTk.getTk();
    }

}
